# Created by pyp2rpm-3.3.2
%global pypi_name zope-testrunner

# fails for unknown reason
%bcond_with test

Name:           python-%{pypi_name}
Version:        5.4.0
Release:        %mkrel 3
Summary:        Zope testrunner script
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.testrunner
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/zope.testrunner-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(python-subunit) >= 0.0.11
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-programoutput)
BuildRequires:  python3dist(testtools) >= 0.9.30
BuildRequires:  python3dist(zope.exceptions)
BuildRequires:  python3dist(zope.interface)
BuildRequires:  python3dist(zope.testing)

%description
This package provides a flexible test runner with layer support.

%package -n     python3-%{pypi_name}
Summary:        Zope testrunner script
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(python-subunit) >= 0.0.11
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
Requires:       python3dist(testtools) >= 0.9.30
Requires:       python3dist(zope.exceptions)
Requires:       python3dist(zope.interface)
Requires:       python3dist(zope.testing)

%description -n python3-%{pypi_name}
This package provides a flexible test runner with layer support.

%prep
%autosetup -n zope.testrunner-%{version}

# Remove bundled egg-info
rm -rf zope.testrunner.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=$(pwd)/src sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

# we don't want these
rm -rf %{buildroot}%{python3_sitelib}/zope/testrunner/tests*
rm -rf %{buildroot}%{python3_sitelib}/zope/testrunner/__pycache__/tests*

# nor these
find %{buildroot} -name "*.pth" -delete

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%doc LICENSE.md
%doc README.rst src/zope/testrunner/tests/testrunner-ex/usecompiled/README.rst src/zope/testrunner/tests/testrunner-ex/README.rst
%doc html
%{_bindir}/zope-testrunner
%{python3_sitelib}/zope/testrunner/
%{python3_sitelib}/zope.testrunner-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 5.4.0-3.mga9
+ Revision: 1833417
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 5.4.0-2.mga9
+ Revision: 1782035
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 5.4.0-1.mga9
+ Revision: 1771527
- version 5.4.0

* Sat Jun 26 2021 wally <wally> 5.2-2.mga9
+ Revision: 1732866
- Rebuild for python 3.9

* Tue Sep 15 2020 guillomovitch <guillomovitch> 5.2-1.mga8
+ Revision: 1626678
- new version 5.2.0

* Sun Feb 16 2020 umeabot <umeabot> 5.0-4.mga8
+ Revision: 1535252
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 5.0-2.mga8
+ Revision: 1449625
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 5.0-1.mga8
+ Revision: 1432253
- imported package python-zope-testrunner

